package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsMoveDetails;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

/**
 * @Description : 库存移动单明细信息
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-18 13:59
 * @Modify:
 **/
public interface WmsMoveDetailsRepository extends BaseRepository<WmsMoveDetails, Long> {

    /**
     * 获取item最大值
     * @param organizeCode
     * @param isValid
     * @param isDeleted
     * @return
     */
    @Query("select max(item) from WmsMoveDetails where organizeCode = :organizeCode and isValid = :isValid and isDeleted = :isDeleted")
    int getMaxItem(@Param("organizeCode")String organizeCode, @Param("isValid")int isValid, @Param("isDeleted")int isDeleted);

}
